# Role: bluesky_pds

## Description

Installs Bluesky PDS.

https://github.com/bluesky-social/pds

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.bluesky_pds
  vars:
    ...
```

### Vars

`bluesky_pds_installer_url`:

URL for the Bluesky PDS installer.

`bluesky_pds_installer_dest`:

Path where to store the Bluesky PDS installer.

`bluesky_pds_email_smtp_url`:

SMTP URL for sending email.

`bluesky_pds_email_from_address`:

From address for emails sent.

`bluesky_pds_admin_email_address`:

Admin email address.

`bluesky_pds_public_dns_address`:

Public address of the Bluesky PDS.
